import { getColorFromRGBA } from './getColorFromRGBA.js';

function updateRGB(color, component, value) {
  var _a;
  return getColorFromRGBA((_a = {
    r: color.r,
    g: color.g,
    b: color.b,
    a: color.a
  }, _a[component] = value, _a));
}

export { updateRGB };
